Class WithAliasItemRequestBuilder
- Assembly
- Keycloak.AuthServices.Sdk.Kiota.dll
Builds and executes requests for operations under \admin\realms{realm}\identity-provider\instances{alias}
public class WithAliasItemRequestBuilder : BaseRequestBuilder
- Inheritance
-
BaseRequestBuilderWithAliasItemRequestBuilder
- Inherited Members
-
BaseRequestBuilder.PathParametersBaseRequestBuilder.RequestAdapterBaseRequestBuilder.UrlTemplate
Constructors
WithAliasItemRequestBuilder(Dictionary<string, object>, IRequestAdapter)
Instantiates a new WithAliasItemRequestBuilder and sets the default values.
public WithAliasItemRequestBuilder(Dictionary<string, object> pathParameters, IRequestAdapter requestAdapter)
Parameters
pathParametersDictionary<string, object>Path parameters for the request
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
WithAliasItemRequestBuilder(string, IRequestAdapter)
Instantiates a new WithAliasItemRequestBuilder and sets the default values.
public WithAliasItemRequestBuilder(string rawUrl, IRequestAdapter requestAdapter)
Parameters
rawUrlstringThe raw URL to use for the request builder.
requestAdapterIRequestAdapterThe request adapter to use to execute the requests.
Properties
Export
The export property
public ExportRequestBuilder Export { get; }
Property Value
Management
The management property
public ManagementRequestBuilder Management { get; }
Property Value
MapperTypes
The mapperTypes property
public MapperTypesRequestBuilder MapperTypes { get; }
Property Value
Mappers
The mappers property
public MappersRequestBuilder Mappers { get; }
Property Value
ReloadKeys
The reloadKeys property
public ReloadKeysRequestBuilder ReloadKeys { get; }
Property Value
Methods
DeleteAsync(Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)
Delete the identity provider
public Task<Stream?> DeleteAsync(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
GetAsync(Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)
Get the identity provider
public Task<IdentityProviderRepresentation?> GetAsync(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
PutAsync(IdentityProviderRepresentation, Action<RequestConfiguration<DefaultQueryParameters>>?, CancellationToken)
Update the identity provider
public Task PutAsync(IdentityProviderRepresentation body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null, CancellationToken cancellationToken = default)
Parameters
bodyIdentityProviderRepresentationThe request body
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
cancellationTokenCancellationTokenCancellation token to use when cancelling requests
Returns
ToDeleteRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>?)
Delete the identity provider
public RequestInformation ToDeleteRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)
Parameters
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
ToGetRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>?)
Get the identity provider
public RequestInformation ToGetRequestInformation(Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)
Parameters
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
ToPutRequestInformation(IdentityProviderRepresentation, Action<RequestConfiguration<DefaultQueryParameters>>?)
Update the identity provider
public RequestInformation ToPutRequestInformation(IdentityProviderRepresentation body, Action<RequestConfiguration<DefaultQueryParameters>>? requestConfiguration = null)
Parameters
bodyIdentityProviderRepresentationThe request body
requestConfigurationAction<RequestConfiguration<DefaultQueryParameters>>Configuration for the request such as headers, query parameters, and middleware options.
Returns
- RequestInformation
A Microsoft.Kiota.Abstractions.RequestInformation
WithUrl(string)
Returns a request builder with the provided arbitrary URL. Using this method means any other path or query parameters are ignored.
public WithAliasItemRequestBuilder WithUrl(string rawUrl)
Parameters
rawUrlstringThe raw URL to use for the request builder.